## libitpp 4.0.7

=== debian/changelog ===
libitpp (4.0.7-1) unstable; urgency=low

  * debian/watch: Update for new home page.
  * debian/patches: Removed, since patches included upstream.
  * debian/control:
    + Add ${misc:Depends} to binary packages.
    + Remove quilt dependency.

 -- Kumar Appaiah <akumar@debian.org>  Wed, 20 Jan 2010 16:06:19 -0600

libitpp (4.0.6-4) unstable; urgency=low

  * Use Nobuhiro Iwamatsu's patch 02_sh4_support.diff to support building
    on Renesas SH(sh4) CPUs. (Closes: #554380)
  * Standards Version is now 3.8.3 (No changes needed).
  * Patch system documentation (README.source) added.
  * debian/source/format: Use 3.0 (quilt)

 -- Kumar Appaiah <akumar@debian.org>  Wed, 04 Nov 2009 21:46:41 -0600

libitpp (4.0.6-3) unstable; urgency=low

  * Fix for building with gcc 4.4.
    + Patch from Martin Michlmayr in debian/patches.
      (Closes: #505350).
    + Depend on quilt.

 -- Kumar Appaiah <akumar@debian.org>  Sun, 26 Apr 2009 17:38:37 -0500

libitpp (4.0.6-2) unstable; urgency=low

  * Upload to unstable.

 -- Kumar Appaiah <akumar@debian.org>  Sun, 15 Feb 2009 08:59:13 -0600

libitpp (4.0.6-1) experimental; urgency=low

  * New upstream release.

 -- Kumar Appaiah <akumar@debian.org>  Wed, 08 Oct 2008 13:12:39 -0500

libitpp (4.0.5-1) experimental; urgency=low

  * New upstream release.
  * Update standards version to 3.8.0. (No changes needed)
  
 -- Kumar Appaiah <akumar@debian.org>  Sat, 16 Aug 2008 17:10:50 -0500

libitpp (4.0.4-2) unstable; urgency=low

  * debian/libitpp-doc.doc-base:
    + Move to section Science/Mathematics.
  * debian/control:
    + Update package description.
    + Use debian.org e-mail address.

 -- Kumar Appaiah <akumar@debian.org>  Sun, 20 Apr 2008 17:43:44 +0530

libitpp (4.0.4-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    + gcc43_fix.diff removed, merged upstream.
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Mon, 31 Mar 2008 17:00:06 +0530

libitpp (4.0.3-2) unstable; urgency=medium

  * debian/patches/gcc43_fix.diff:
    + Fix build problems with g++ 4.3, by explicitly using
      static_cast to convert non-double values in the
      std::complex constructor. (Closes: #471514)

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Tue, 18 Mar 2008 23:25:27 +0530

libitpp (4.0.3-1) unstable; urgency=low

  * New upstream release.
    + zdotusub used to wrap all zdotu_ calls.
  * debian/patches:
    + Remove all patches.
  * debian/rules, debian/control:
    + quilt not used.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Thu, 21 Feb 2008 15:38:56 +0530

libitpp (4.0.2-2) unstable; urgency=low

  * debian/patches/zdotu_complex_detect.diff:
    This patch has been added to use double _Complex as the return type of
    zdotu_ to work around errors in assuming direct convertibility to
    std::complex<double> of the zdotu_ function's return value.
  * debian/control, debian/rules:
    + Use quilt for patch management.
  * debian/rules:
    + Separate architecture dependent and independent build rules.
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Sun, 17 Feb 2008 14:48:04 +0530

libitpp (4.0.2-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable:
    + gfortran transition complete. (Closes: #466047)
  * debian/patches:
    + zdotu_fix.diff: Removed; merged upstream.
  * debian/control:
    + Don't build-depend on quilt: no longer needed.
    + Change Build-depends on doxygen to remove Debian revision.
  * debian/rules:
    + Don't use quilt.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Sat, 16 Feb 2008 13:29:40 +0530

libitpp (4.0.1-4) experimental; urgency=low

  * Updated for experimental.
  * debian/control:
    + Use newer Build-Depends on libblas-dev and liblapack-dev.
    + Build-Depend on gfortran.
  * debian/rules:
    + Use gfortran as the default Fortran compiler.
  * debian/rules:
    + Use --with-blas and --with-lapack to force use
      of reference BLAS and ATLAS.
  * debian/patches:
    + dontuse_lapack.diff is not needed because of
      configure options.
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Mon, 31 Dec 2007 10:01:27 +0530

libitpp (4.0.1-3) unstable; urgency=low

  * debian/control:
    + Build-Depend on quilt.
    + Don't Build-Conflict on atlas3-base-dev.
  * debian/rules:
    + Use quilt for patches.
  * debian/patches:
    + Add zdotu_fix.diff to prevent incorrect calling
      zdotu conventions. Thanks to Adam Piatyszek
      for the patch.
    + dontuse_lapack.diff: prevent finding Atlas,
      as we don't want to Depend on it.
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Fri, 21 Dec 2007 07:17:48 +0530

libitpp (4.0.1-2) unstable; urgency=low

  * debian/control:
    + Build-Depend on libfftw3-dev, in place of fftw3-dev.
    + Don't Build-Depend on autotools-dev.
    + Build-Conflict on atlas3-base-dev, as Atlas is not needed
      for the build.
  * debian/rules:
    + Fix to add cross build detection.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Thu, 20 Dec 2007 07:06:42 +0530

libitpp (4.0.1-1) unstable; urgency=low

  * New upstream release
    + Add #include statements for missing headers.
      (Closes: #455632)
  * debian/control:
    + Revert to older build dependencies for unstable.
    + Standards Version is now 3.7.3.
    + Add Vcs-Git and Vcs-Browser.
    + Fix spelling errors in the description for libitpp6.
  * debian/libitpp-doc.doc-base: Remove whitespace at end of file.
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Sun, 16 Dec 2007 00:00:07 +0530

libitpp (4.0.0-4) experimental; urgency=low

  * Package for experimental for gfortran transition.
  * debian/control:
    + Build-Depend on the gfortran lapack, refblas
    + Change the binary package name to libitpp6gf.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Tue, 30 Oct 2007 13:15:34 +0530

libitpp (4.0.0-3) unstable; urgency=low

  * Fix watch file to handle upstream's "rc" naming.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Tue, 16 Oct 2007 08:02:06 +0530

libitpp (4.0.0-2) unstable; urgency=low


