=== debian/control ===
Source: libitpp
Priority: optional
Maintainer: Kumar Appaiah <akumar@debian.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 5), doxygen (>= 1.5.1), libblas-dev, libfftw3-dev, texlive-latex-base, ghostscript, liblapack-dev, gfortran
Section: libs
Homepage: http://itpp.sourceforge.net
Vcs-Git: git://git.debian.org/git/collab-maint/libitpp.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libitpp.git

Package: libitpp-dev
Section: libdevel
Architecture: any
Depends: libitpp6gf (= ${binary:Version}), ${misc:Depends}
Description: C++ library of signal processing and communication routines: Headers
 IT++ is a C++ library of mathematical, signal processing and
 communication classes and functions. Its main use is in simulation of
 communication systems and for performing research in the area of
 communications. The kernel of the library consists of generic vector
 and matrix classes, and a set of accompanying routines. Such a kernel
 makes IT++ similar to MATLAB or GNU Octave .
 .
 This package has the development libraries and headers for IT++.

Package: libitpp6gf
Section: libs
Architecture: any
Conflicts: libitpp6
Replaces: libitpp6
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ library of signal processing and communication routines
 IT++ is a C++ library of mathematical, signal processing and
 communication classes and functions. Its main use is in simulation of
 communication systems and for performing research in the area of
 communications. The kernel of the library consists of generic vector
 and matrix classes, and a set of accompanying routines. Such a kernel
 makes IT++ similar to MATLAB or GNU Octave .

Package: libitpp6-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libitpp6gf (= ${binary:Version}), ${misc:Depends}
Description: C++ library of signal processing and communication routines: Debug symbols
 IT++ is a C++ library of mathematical, signal processing and
 communication classes and functions. Its main use is in simulation of
 communication systems and for performing research in the area of
 communications. The kernel of the library consists of generic vector
 and matrix classes, and a set of accompanying routines. Such a kernel
 makes IT++ similar to MATLAB or GNU Octave .
 .
 This package has the debugging symbols for IT++ which may
 be useful while debugging IT++ based applications.

Package: libitpp-doc
Section: doc
Architecture: all
Recommends: dwww, www-browser
Depends: ${misc:Depends}
Description: C++ library of signal processing and communication routines: Documentation
 IT++ is a C++ library of mathematical, signal processing and
 communication classes and functions. Its main use is in simulation of
 communication systems and for performing research in the area of
 communications. The kernel of the library consists of generic vector
 and matrix classes, and a set of accompanying routines. Such a kernel
 makes IT++ similar to MATLAB or GNU Octave .
 .
 This package has the documentation for IT++.
