=== debian/watch ===
version=3
opts="uversionmangle=s/-rc[0-9]+$//" \
http://sourceforge.net/apps/wordpress/itpp/ .*/itpp-([\d\.]+)\.tar\.gz
