## libitpp 4.2

=== debian/changelog ===
libitpp (4.2-4) unstable; urgency=low

  * Build-Depend on doxygen-latex instead of texlive-*. (Closes: #616256)
  * Standards version is now 3.9.2 (no changes needed)
  * Update build rule to comply with lintian recommendations (provide
    build-arch and build-indep)

 -- Kumar Appaiah <akumar@debian.org>  Sat, 09 Jul 2011 09:42:32 -0500

libitpp (4.2-3) unstable; urgency=low

  * Avoid installing libitpp.la (Closes: #621673)

 -- Kumar Appaiah <akumar@debian.org>  Thu, 07 Apr 2011 19:01:38 -0500

libitpp (4.2-2) unstable; urgency=low

  * Upload to unstable

 -- Kumar Appaiah <akumar@debian.org>  Tue, 15 Feb 2011 22:37:22 -0600

libitpp (4.2-1) experimental; urgency=low

  * New upstream release.
  * Move dwww to suggests. (Closes: #570598).
  * Install Octave/Matlab file loading programs into /usr/share/itpp.
  * Standards version is now 3.9.1 (no changes needed)
  * Soname bump: new package: libitpp7. Remove old conflicts and replaces
    with libitpp6.
  * Update copyright

 -- Kumar Appaiah <akumar@debian.org>  Thu, 23 Sep 2010 23:34:25 -0500
