=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,9 @@
 	dh_testdir
 	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CXXFLAGS="$(CXXFLAGS)" LDFLAGS="-Wl,-z,defs"
 
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build: build-stamp
 
 build-stamp: config.status
@@ -73,7 +76,7 @@
 	dh_install -a --sourcedir=debian/tmp
 	dh_installman -a
 	dh_link -a
-	dh_strip -a --dbg-package=libitpp6-dbg
+	dh_strip -a --dbg-package=libitpp7-dbg
 	dh_compress -a
 	dh_fixperms -a
 	dh_makeshlibs -a
