## libitpp 4.3.1

=== debian/changelog ===
libitpp (4.3.1-9.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 12:31:33 +0100

libitpp (4.3.1-9) unstable; urgency=medium

  * Add sse2-immediate-fix.diff to fix build errors with g++ 7.3.
  * Update Salsa Vcs URLs in debian/control.
  * Standards Version is now 4.1.1 (no changes needed)
  * dbg package is now optional instead of extra.

 -- Kumar Appaiah <akumar@debian.org>  Thu, 21 Jun 2018 21:36:18 +0530

libitpp (4.3.1-8) unstable; urgency=medium

  * Use ffloat-store on i386 to avoid accuracy based test failure. Fixed
    by Adrian Bunk (Closes: #877063)
  * Standards Version is now 4.0.0 (No changes required)

 -- Kumar Appaiah <akumar@debian.org>  Sat, 30 Sep 2017 12:34:09 +0530

libitpp (4.3.1-7) unstable; urgency=medium

  * Replace man timestamp by SOURCE_DATE_EPOCH to make the package
    build. Thanks to Eduard Sanou for the patch. (Closes: #795394)
  * Standards version is now 3.9.8 (no changes)

 -- Kumar Appaiah <akumar@debian.org>  Tue, 02 Aug 2016 21:43:35 +0530

libitpp (4.3.1-6) unstable; urgency=medium

  * debian/copyright:
    + The license is GPL-3. This is now reflected in the
    copyright. (Closes: #795153)

 -- Kumar Appaiah <akumar@debian.org>  Wed, 12 Aug 2015 14:35:31 +0530

libitpp (4.3.1-5) unstable; urgency=medium

  * Rename binary package to libitpp8v5 do handle GCC5
    transition.

 -- Kumar Appaiah <akumar@debian.org>  Thu, 06 Aug 2015 13:30:23 +0530

libitpp (4.3.1-4) experimental; urgency=medium

  * debian/patches:
    + delete-sflogo.diff: Remove the SF logo fetched from outside
    + itpp-pc-fix.diff: Correct the location of the itpp.pc file
      (Closes: #779282)
  * Standards version is now 3.9.6 (no changes needed)

 -- Kumar Appaiah <akumar@debian.org>  Sun, 01 Mar 2015 06:47:20 +0530

libitpp (4.3.1-3) unstable; urgency=low

  * Multiarch additions to debian/{control,rules} (Closes: #742238)
    + Move the library and pkgconfig files to the
      DEB_HOST_MULTIARCH directory manually.
    + Add Multi-Arch: same for the library
  * Fix SCM URIs to canonical ones

 -- Kumar Appaiah <akumar@debian.org>  Thu, 20 Mar 2014 23:48:56 -0400

libitpp (4.3.1-2) unstable; urgency=low

  * Add a patch to use memmove instead of memcpy in multilateration
    test. (Closes: #741814)
  * Standards version is now 3.9.5 (no changes needed)

 -- Kumar Appaiah <akumar@debian.org>  Sun, 16 Mar 2014 19:42:14 -0400

libitpp (4.3.1-1) unstable; urgency=low

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Tue, 09 Jul 2013 23:17:36 -0400

libitpp (4.3.0-3) unstable; urgency=low

  * debian/watch:
    + Add Bart Martens' updated watch file.
  * debian/patches:
    + Add itpp-config-pc.diff to install pkg-config and
      itpp-config files. (Closes: #710818)

 -- Kumar Appaiah <akumar@debian.org>  Mon, 03 Jun 2013 21:35:06 -0400

libitpp (4.3.0-2) unstable; urgency=low

  * Pass correct CPPFLAGS and CXXFLAGS to cmake
  * Separate architecture dependent and independent builds (Closes: #710338)
  * debian/patches:
      + turbo_test_fix.diff, blas_test_fix.diff, multilateration_test_fix.diff:
        Fix tests on non-amd64 architectures (Closes: #710204)
      + channel_arm_fix.diff: Don't explicitly define "Array" templates;
        these explicit template instantiations are not considered "weak"
        references on ARM architectures. (Closes: #710337)

 -- Kumar Appaiah <akumar@debian.org>  Thu, 30 May 2013 08:36:27 -0400

libitpp (4.3.0-1) unstable; urgency=low

  * New upstream release
  * Rework Debian packaging
    + Use debhelper 9
    + Standards Version is now 3.9.4
    + Use cmake for based system
    + Use jquery package for documentation
    + Update copyright file
  * Shift to Google Test based test system
  * Shift to Debian Science as the maintainer
    + Move VCS repository to the Debian Science project

 -- Kumar Appaiah <akumar@debian.org>  Sat, 25 May 2013 22:10:35 -0400

libitpp (4.2-5) unstable; urgency=low

  * Remove extraneous doxygen build dependency.

 -- Kumar Appaiah <akumar@debian.org>  Sat, 09 Jul 2011 23:14:17 -0500
