=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: libitpp
 Priority: optional
-Maintainer: Kumar Appaiah <akumar@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 5), doxygen (>= 1.5.1), libblas-dev, libfftw3-dev, doxygen-latex, ghostscript, liblapack-dev, gfortran
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Kumar Appaiah <akumar@debian.org>
+Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 9), libblas-dev, libfftw3-dev, liblapack-dev, gfortran, libgtest-dev, cmake
+Build-Depends-Indep: doxygen-latex, ghostscript
 Section: libs
 Homepage: http://itpp.sourceforge.net
-Vcs-Git: git://git.debian.org/git/collab-maint/libitpp.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/libitpp.git
+Vcs-Git: https://salsa.debian.org/science-team/libitpp.git
+Vcs-Browser: https://salsa.debian.org/science-team/libitpp
 
 Package: libitpp-dev
 Section: libdevel
 Architecture: any
-Depends: libitpp7 (= ${binary:Version}), ${misc:Depends}
+Depends: libitpp8v5 (= ${binary:Version}), ${misc:Depends}
 Description: C++ library of signal processing and communication routines: Headers
  IT++ is a C++ library of mathematical, signal processing and
  communication classes and functions. Its main use is in simulation of
@@ -22,9 +24,13 @@
  .
  This package has the development libraries and headers for IT++.
 
-Package: libitpp7
+Package: libitpp8v5
 Section: libs
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
+Conflicts: libitpp8
+Replaces: libitpp8
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C++ library of signal processing and communication routines
  IT++ is a C++ library of mathematical, signal processing and
@@ -34,11 +40,13 @@
  and matrix classes, and a set of accompanying routines. Such a kernel
  makes IT++ similar to MATLAB or GNU Octave .
 
-Package: libitpp7-dbg
+Package: libitpp8v5-dbg
 Section: debug
-Priority: extra
+Priority: optional
 Architecture: any
-Depends: libitpp7 (= ${binary:Version}), ${misc:Depends}
+Conflicts: libitpp8-dbg
+Replaces: libitpp8-dbg
+Depends: libitpp8v5 (= ${binary:Version}), ${misc:Depends}
 Description: C++ library of signal processing and communication routines: Debug symbols
  IT++ is a C++ library of mathematical, signal processing and
  communication classes and functions. Its main use is in simulation of
@@ -54,7 +62,7 @@
 Section: doc
 Architecture: all
 Suggests: dwww, www-browser
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libjs-jquery
 Description: C++ library of signal processing and communication routines: Documentation
  IT++ is a C++ library of mathematical, signal processing and
  communication classes and functions. Its main use is in simulation of
